.menu {
  display: flex;
  align-items: center;
  padding: 0;
  margin-bottom: 0;

  &--main {
    @include media-breakpoint-down(md) {
      display: none;
      position: fixed;
      align-items: flex-start;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      flex-direction: column;
      background-color: #fff;
      z-index: 10;
      padding-left: 10%;
      padding-top: 10%;

      &.active {
        display: flex;
        animation: slide-in-bottom .5s cubic-bezier(.25, .46, .45, .94) both;
      }
    }

    @include media-breakpoint-down(sm) {
      padding-top: 25%;
    }
  }

  &--footer {
    align-items: flex-start;
    margin-right: 80px;

    &:last-child {
      margin-right: 0;
    }

    @include media-breakpoint-down(sm) {
      margin-top: 1rem;

      &:first-child {
        margin-top: 0;
      }
    }
  }

  &__title {
    font-weight: bold;
  }

  &__item {
    display: flex;
    margin-bottom: 2rem;

    &:last-child {
      margin-bottom: 0px;
    }

    @include media-breakpoint-up(lg) {
      margin-right: 20px;
      margin-bottom: 0;

      &:last-child {
        margin-right: 0px;
      }
    }

    &--footer {
      margin-right: 0;
      margin-bottom: 10px;

      &:last-child {
        margin-bottom: 0;
      }
    }
  }

  &__link {
    color: var(--primary-font-color);
    font-family: var(--main-font);
    font-size: 1rem;
    font-weight: bold;

    &:hover,
    &:focus {
      text-decoration: none;
      color: initial;
    }

    @include media-breakpoint-down(md) {
      font-size: 1.8rem;
      color: var(--primary-color);
    }

    &--footer {
      font-size: 0.9rem;
      font-weight: 600;
      color: var(--text-color);
    }
  }

  &__toggle {
    @include media-breakpoint-up(lg) {
      display: none;
    }

    &--close {
      position: absolute;
      right: 30px;
      top: 30px;
    }
  }
}
